[users] Clamav

Camron W. Fox cwfox at us.fujitsu.com
Thu Jun 18 19:39:40 CEST 2009


Scott Silva wrote:
> Just wondering if the new clamav is in the queue?
> 
> 
> 
Alle,

	Noticed the clamav updates today, but not all packages were updated, 
leading to dependency issues during installation:

clamav.x86_64                            0.95.2-4.el5.rf        rpmforge
clamav-db.x86_64                         0.95.2-4.el5.rf        rpmforge
clamav-devel.x86_64                      0.95.1-4.el5.rf        rpmforge
clamd.x86_64                             0.95.1-4.el5.rf        rpmforge

root at rb9:~ [1007/7]# yum update clam* --disablerepo=\* --enablerepo=rpmforge
Loaded plugins: protectbase, rhnplugin
Excluding Packages in global exclude list
Finished
0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package clamav-devel.x86_64 0:0.95.1-4.el5.rf set to be updated
--> Processing Dependency: clamav = 0.95.1-4.el5.rf for package: 
clamav-devel
---> Package clamav.x86_64 0:0.95.2-4.el5.rf set to be updated
---> Package clamav-db.x86_64 0:0.95.2-4.el5.rf set to be updated
---> Package clamd.x86_64 0:0.95.1-4.el5.rf set to be updated
--> Processing Dependency: clamav = 0.95.1-4.el5.rf for package: clamd
--> Finished Dependency Resolution
clamav-devel-0.95.1-4.el5.rf.x86_64 from rpmforge has depsolving problems
   --> Missing Dependency: clamav = 0.95.1-4.el5.rf is needed by package 
clamav-devel-0.95.1-4.el5.rf.x86_64 (rpmforge)
clamd-0.95.1-4.el5.rf.x86_64 from rpmforge has depsolving problems
   --> Missing Dependency: clamav = 0.95.1-4.el5.rf is needed by package 
clamd-0.95.1-4.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: clamav = 0.95.1-4.el5.rf is needed by package 
clamav-devel-0.95.1-4.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: clamav = 0.95.1-4.el5.rf is needed by package 
clamd-0.95.1-4.el5.rf.x86_64 (rpmforge)
root at rb9:~ [1008/8]# rpm -qa | grep clam
clamav-db-0.95.1-2.el5.rf.x86_64
clamav-devel-0.95.1-2.el5.rf.x86_64
clamav-0.95.1-2.el5.rf.x86_64
clamd-0.95.1-2.el5.rf.x86_64
root at rb9:~ [1009/9]#

	Any idea when the rest will be updated, or is it a problem with the 
upstream dependency definitions?

Best Regards,
Camron

Camron W. Fox
Hilo Office
High Performance Computing Group
Fujitsu Management Services of America, Inc.
E-mail:		cwfox at us.fujitsu.com




More information about the users mailing list